package com.fetchingStratergy.service;

import org.springframework.transaction.annotation.Transactional;

import com.fetchingStratergy.domain.Employee;

@Transactional
public interface EmployeeService {

	public void createEmployee(String employeeName);
	
	public void createEmployee(String employeeName, int departmentId);
	
	public void deleteEmployee(int employeeId);
	
	public Employee findEmployeeById(int employeeId);
	
	public void addDependent(int employeeId, String dependentName);
}
